{
gfx define field coordinates finite_element number_of_components 3;
gfx modify scene default manual;

# FEMUR

gfx read node left_femur.exnode region femur;
gfx read elem left_femur.exelem region femur;

gfx read curve bone_density_profile;

gfx define field femur_surface_distance xi_texture_coordinates seed_element 1 region femur;
gfx define field femur_surface_distance.3 component femur_surface_distance.3;
gfx define field femur_surface_density curve_lookup curve bone_density_profile source femur_surface_distance.3;

gfx define field femur_bone_density coordinate_system rectangular_cartesian scale field femur_surface_density scale_factors 1;

gfx modify material bone alpha 0.2;

#gfx modify g_element left_femur element_points glyph point general size "1*1*1" centre 0,0,0 font default use_elements cell_random discretization "6*6*6" native_discretization NONE select_on material bone selected_material default_selected;

gfx define field femur_position offset field coordinates offsets -79 65 962;

gfx draw group femur/left_femur;

gfx modify g_element femur/left_femur general default_coordinate femur_position;
gfx modify g_element femur/left_femur general clear  element_discretization "10*10*10";

gfx modify g_element femur/left_femur element_points glyph point general size "1*1*1" centre 0,0,0 font default use_elements cell_poisson density femur_bone_density discretization "10*10*10" native_discretization NONE select_on material bone selected_material default_selected;

# HIP

gfx read node hip_a.exnode region hip;
gfx read elem hip_a.exelem region hip;

gfx read curve bone_density_profile;

gfx define field hip_surface_distance xi_texture_coordinates seed_element 1 region hip;
gfx define field hip_surface_distance.1 component hip_surface_distance.1;
gfx define field hip_surface_densityA curve_lookup curve bone_density_profile source hip_surface_distance.1;

gfx define field hip_surface_distance2A scale field hip_surface_distance.1 scale -1;
gfx define field hip_surface_distance2B offset field hip_surface_distance2A offset 2;
gfx define field hip_surface_density2A curve_lookup curve bone_density_profile source hip_surface_distance2B;

gfx define field hip_surface_density add fields hip_surface_densityA hip_surface_density2A;


gfx define field hip_bone_density coordinate_system rectangular_cartesian scale field hip_surface_density scale_factors 1;

gfx modify material bone alpha 0.2;

#gfx modify g_element hip element_points glyph point general size "1*1*1" centre 0,0,0 font default use_elements cell_random discretization "6*6*6" native_discretization NONE select_on material bone selected_material default_selected;

gfx define field hip_position offset field coordinates offsets 0 0 0;

gfx draw group hip/hip;

gfx modify g_element hip/hip general default_coordinate hip_position;
gfx modify g_element hip/hip general clear  element_discretization "10*10*10";

gfx modify g_element hip/hip element_points glyph point general size "1*1*1" centre 0,0,0 font default use_elements cell_poisson density hip_bone_density discretization "10*10*10" native_discretization NONE select_on material bone selected_material default_selected;


gfx create win 1;
gfx mod win 1 background colour 0 0 0;
gfx modify window 1 set slow;
gfx modify win 1 image view_all;




}
